Package com.clickhouse.jdbc

# Class ClickHouseStruct

java.lang.Object
com.clickhouse.jdbc.ClickHouseStruct

All Implemented Interfaces:
  `Struct`

public class ClickHouseStruct extends Object implements Struct

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ClickHouseStruct(String typeName, Object[] values)`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getAttributes()`
`Object[]`
`getAttributes(Map<String,Class<?>> map)`
`String`
`getSQLTypeName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClickHouseStruct

protected ClickHouseStruct(String typeName, Object[] values)

## Method Details

### getSQLTypeName

public String getSQLTypeName() throws SQLException

Specified by:
  `getSQLTypeName` in interface `Struct`
Throws:
  `SQLException`

### getAttributes

public Object[] getAttributes() throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`

### getAttributes

public Object[] getAttributes(Map<String,Class<?>> map) throws SQLException

Specified by:
  `getAttributes` in interface `Struct`
Throws:
  `SQLException`